internal::initializer_list_wrapper< T > Class Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::initializer_list_wrapper< T >:

## Public Types

typedef T | value_type
typedef const T & | reference
typedef const T & | const_reference
typedef size_t | size_type
typedef T * | iterator
typedef const T * | const_iterator

## Public Member Functions

| initializer_list_wrapper (std::initializer_list< T > il) __TBB_NOEXCEPT(true)
| initializer_list_wrapper (const initializer_list_wrapper< T > &ilw) __TBB_NOEXCEPT(true)
| initializer_list_wrapper (initializer_list_wrapper< T > &&ilw) __TBB_NOEXCEPT(true)
| ~initializer_list_wrapper ()
const_iterator | begin () const __TBB_NOEXCEPT(true)
const_iterator | end () const __TBB_NOEXCEPT(true)
size_t | size () const __TBB_NOEXCEPT(true)

## Private Attributes

iterator | my_begin
iterator | my_end

## Detailed Description

### template<typename T>
class internal::initializer_list_wrapper< T >

Definition at line 343 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## const_iterator

template<typename T >

typedef const T* internal::initializer_list_wrapper< T >::const_iterator

Definition at line 351 of file _flow_graph_types_impl.h.

## const_reference

template<typename T >

typedef const T& internal::initializer_list_wrapper< T >::const_reference

Definition at line 347 of file _flow_graph_types_impl.h.

## iterator

template<typename T >

typedef T* internal::initializer_list_wrapper< T >::iterator

Definition at line 350 of file _flow_graph_types_impl.h.

## reference

template<typename T >

typedef const T& internal::initializer_list_wrapper< T >::reference

Definition at line 346 of file _flow_graph_types_impl.h.

## size_type

template<typename T >

typedef size_t internal::initializer_list_wrapper< T >::size_type

Definition at line 348 of file _flow_graph_types_impl.h.

## value_type

template<typename T >

typedef T internal::initializer_list_wrapper< T >::value_type

Definition at line 345 of file _flow_graph_types_impl.h.

## Constructor & Destructor Documentation

## initializer_list_wrapper() [1/3]

template<typename T >

internal::initializer_list_wrapper< T >::initializer_list_wrapper | ( | std::initializer_list< T > | il | ) |

inline

Definition at line 353 of file _flow_graph_types_impl.h.

: my_begin( static_cast<T*>(malloc( il.size()*sizeof( T ) )) ) {
iterator dst = my_begin;
for ( typename std::initializer_list<T>::const_iterator src = il.begin(); src != il.end(); ++src )
new (dst++) T( *src );
my_end = dst;
}
internal::initializer_list_wrapper::my_begin
iterator my_begin
Definition: _flow_graph_types_impl.h:383
internal::initializer_list_wrapper::my_end
iterator my_end
Definition: _flow_graph_types_impl.h:384
internal::initializer_list_wrapper::iterator
T * iterator
Definition: _flow_graph_types_impl.h:350

References internal::initializer_list_wrapper< T >::my_begin, and internal::initializer_list_wrapper< T >::my_end.

## initializer_list_wrapper() [2/3]

template<typename T >

internal::initializer_list_wrapper< T >::initializer_list_wrapper | ( | const initializer_list_wrapper< T > & | ilw | ) |

inline

Definition at line 360 of file _flow_graph_types_impl.h.

: my_begin( static_cast<T*>(malloc( ilw.size()*sizeof( T ) )) ) {
iterator dst = my_begin;
for ( typename std::initializer_list<T>::const_iterator src = ilw.begin(); src != ilw.end(); ++src )
new (dst++) T( *src );
my_end = dst;
}

References internal::initializer_list_wrapper< T >::my_begin, and internal::initializer_list_wrapper< T >::my_end.

## initializer_list_wrapper() [3/3]

template<typename T >

internal::initializer_list_wrapper< T >::initializer_list_wrapper | ( | initializer_list_wrapper< T > && | ilw | ) |

inline

Definition at line 368 of file _flow_graph_types_impl.h.

: my_begin( ilw.my_begin ), my_end( ilw.my_end ) {
ilw.my_begin = ilw.my_end = NULL;
}

## ~initializer_list_wrapper()

template<typename T >

internal::initializer_list_wrapper< T >::~initializer_list_wrapper | ( |  | ) |

inline

Definition at line 373 of file _flow_graph_types_impl.h.

{
if ( my_begin )
free( my_begin );
}

References internal::initializer_list_wrapper< T >::my_begin.

## Member Function Documentation

## begin()

template<typename T >

const_iterator internal::initializer_list_wrapper< T >::begin | ( |  | ) | const

inline

Definition at line 378 of file _flow_graph_types_impl.h.

{ return my_begin; }

References internal::initializer_list_wrapper< T >::my_begin.

## end()

template<typename T >

const_iterator internal::initializer_list_wrapper< T >::end | ( |  | ) | const

inline

Definition at line 379 of file _flow_graph_types_impl.h.

{ return my_end; }

References internal::initializer_list_wrapper< T >::my_end.

## size()

template<typename T >

size_t internal::initializer_list_wrapper< T >::size | ( |  | ) | const

inline

Definition at line 380 of file _flow_graph_types_impl.h.

{ return (size_t)(my_end - my_begin); }

References internal::initializer_list_wrapper< T >::my_begin, and internal::initializer_list_wrapper< T >::my_end.

## Member Data Documentation

## my_begin

template<typename T >

iterator internal::initializer_list_wrapper< T >::my_begin

private

Definition at line 383 of file _flow_graph_types_impl.h.

Referenced by internal::initializer_list_wrapper< T >::begin(), internal::initializer_list_wrapper< T >::initializer_list_wrapper(), internal::initializer_list_wrapper< T >::size(), and internal::initializer_list_wrapper< T >::~initializer_list_wrapper().

## my_end

template<typename T >

iterator internal::initializer_list_wrapper< T >::my_end

private

Definition at line 384 of file _flow_graph_types_impl.h.

Referenced by internal::initializer_list_wrapper< T >::end(), internal::initializer_list_wrapper< T >::initializer_list_wrapper(), and internal::initializer_list_wrapper< T >::size().

The documentation for this class was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.